Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class MoviePlayer

    java.lang.Object
      MoviePlayer

    public class MoviePlayer

extends Object

Class that can play movies from multiple frames Copyright Georgia Institute of Technology 2007

Author:
  Barb Ericson ericson@cc.gatech.edu

Constructor Summary
`MoviePlayer()` Constructor to create a movie player by asking the user to pick the directory that contains the JPEG frames
`MoviePlayer(List<Picture> pictureList)` Constructor that takes a list of pictures
`MoviePlayer(String directory)` Constructor that takes a directory and shows a movie from it

Method Summary
`void` | `addPicture(Picture picture)` Method to add a picture to the movie
`void` | `delAllAfter()` Method to delete all the frames after the current one
`void` | `delAllBefore()` Method to delete all the frames before the current one
`static void` | `main(String[] args)`
`void` | `playMovie()` Method to play the movie from the beginning
`void` | `playMovie(int framesPerSecond)` Method to play the movie from the beginning
`void` | `setFrameRate(int rate)`
`void` | `setVisible(boolean flag)` Method to set the visibility of the frame
`void` | `showNext()` Method to show the next image
`void` | `showPrevious()` Method to show the previous image
`void` | `writeAVI()` Method to write out the movie frames as a Quicktime movie
`void` | `writeQuicktime()` Method to write out the movie frames as a Quicktime movie

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoviePlayer

    public MoviePlayer(List<Picture> pictureList)

  Constructor that takes a list of pictures

  Parameters:
    `pictureList` - the list of pictures to show

### MoviePlayer

    public MoviePlayer(String directory)

  Constructor that takes a directory and shows a movie from it

  Parameters:
    `directory` - the directory with the frames

### MoviePlayer

    public MoviePlayer()

  Constructor to create a movie player by asking the user to pick the directory that contains the JPEG frames

Method Detail

### showNext

    public void showNext()

  Method to show the next image

### showPrevious

    public void showPrevious()

  Method to show the previous image

### playMovie

    public void playMovie()

  Method to play the movie from the beginning

### playMovie

    public void playMovie(int framesPerSecond)

  Method to play the movie from the beginning

  Parameters:
    `framesPerSecond` - the number of frames to show per second

### setFrameRate

    public void setFrameRate(int rate)

### delAllBefore

    public void delAllBefore()

  Method to delete all the frames before the current one

### delAllAfter

    public void delAllAfter()

  Method to delete all the frames after the current one

### writeQuicktime

    public void writeQuicktime()

  Method to write out the movie frames as a Quicktime movie

### writeAVI

    public void writeAVI()

  Method to write out the movie frames as a Quicktime movie

### addPicture

    public void addPicture(Picture picture)

  Method to add a picture to the movie

  Parameters:
    `picture` - the picture to add

### setVisible

    public void setVisible(boolean flag)

  Method to set the visibility of the frame

  Parameters:
    `flag` - the visibility of the frame

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD